package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务发布-流程节点表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
@ApiModel(value="CostProjectTaskNode对象", description="任务发布-流程节点表")
public class CostProjectTaskNode extends BaseModel<CostProjectTaskNode> {

    private static final long serialVersionUID = 1L;
    @TableField("id")
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "流程id")
    @TableField("process_id")
    @JsonProperty("processId")
    private String processId;
    
    @ApiModelProperty(value = "流程环节显示值")
    @TableField("process_node_value")
    @JsonProperty("processNodeValue")
    private String processNodeValue;
    
    @ApiModelProperty(value = "流程环节实际值")
    @TableField("process_node_key")
    @JsonProperty("processNodeKey")
    private String processNodeKey;
    
    @ApiModelProperty(value = "环节类型 1外部环节2内部环节")
    @TableField("node_type")
    @JsonProperty("nodeType")
    private String nodeType;
    
    @ApiModelProperty(value = "序号")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;
    
    @ApiModelProperty(value = "预置环节开始时间")
    @TableField("start_time")
    @JsonProperty("startTime")
    private LocalDateTime startTime;
    
    @ApiModelProperty(value = "预置环节结束时间")
    @TableField("end_time")
    @JsonProperty("endTime")
    private LocalDateTime endTime;
    
    @ApiModelProperty(value = "预置流转操作 100流转下一环节 200退回上一环节 300补充材料 400中止监审 500办结监审 ")
    @TableField("status")
    @JsonProperty("status")
    private String status;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;


    @ApiModelProperty(value = "从办人员")
    private String userId;



    @ApiModelProperty(value = "主办人员")
    private String mainUserId;
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }
    public String getProcessNodeValue() {
        return processNodeValue;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getMainUserId() {
        return mainUserId;
    }

    public void setMainUserId(String mainUserId) {
        this.mainUserId = mainUserId;
    }

    public void setProcessNodeValue(String processNodeValue) {
        this.processNodeValue = processNodeValue;
    }
    public String getProcessNodeKey() {
        return processNodeKey;
    }

    public void setProcessNodeKey(String processNodeKey) {
        this.processNodeKey = processNodeKey;
    }
    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    public LocalDateTime getStartTime() {
        return startTime;
    }

    public void setStartTime(LocalDateTime startTime) {
        this.startTime = startTime;
    }
    public LocalDateTime getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalDateTime endTime) {
        this.endTime = endTime;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    @Override
    protected Serializable pkVal() {
        return null;
    }

    @Override
    public String toString() {
        return "CostProjectTaskNode{" +
            "id=" + id +
            ", processId=" + processId +
            ", processNodeValue=" + processNodeValue +
            ", processNodeKey=" + processNodeKey +
            ", nodeType=" + nodeType +
            ", orderNum=" + orderNum +
            ", startTime=" + startTime +
            ", endTime=" + endTime +
            ", status=" + status +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", taskId=" + taskId +
        "}";
    }
}
